Subject: bug#24458: closed (Re: bug#24458: [PATCH] grep: add news entry for fix to bug#24233)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Sep 2016 17:26:02 +0000

Your bug report

#24458: [PATCH] grep: add news entry for fix to bug#24233

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24458: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24458
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24458: [PATCH] grep: add news entry for fix to bug#24233
From: Jim Meyering <[email-masked]>
To: Norihiro Tanaka <[email-masked]>
Cc: [email-masked]
Date: Sun, 18 Sep 2016 10:25:29 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Sep 18, 2016 at 2:27 AM, Norihiro Tanaka <[email-masked]> wrote:
> I wrote a test case, but did not add new entry.  I want to add it to
> news, as the bug is fixed after grep 2.25 release.
>
> The bug is fixed in commit ad468bbe3df027f29ecb236283084fb60b734f68 by
> chance.

Thank you. I've pushed that with slightly different wording and with
this commit log:

    grep: add news entry for fix to bug#24233

    * NEWS (Bug fixes): Add an entry describing bug#24233.
    The bug was fixed by commit v2.25-77-gad468bb, by chance.

Subject: [PATCH] grep: add news entry for fix to bug#24233
From: Norihiro Tanaka <[email-masked]>
To: <[email-masked]>
Date: Sun, 18 Sep 2016 18:27:33 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I wrote a test case, but did not add new entry.  I want to add it to
news, as the bug is fixed after grep 2.25 release.

The bug is fixed in commit ad468bbe3df027f29ecb236283084fb60b734f68 by
chance.
From c27a4ecadd867286730c6b5b96b8bb36dda138c4 Mon Sep 17 00:00:00 2001
From: Norihiro Tanaka <[email-masked]>
Date: Sun, 18 Sep 2016 18:07:35 +0900
Subject: [PATCH] grep: add news entry for fix to bug#24233

NEWS: Add entry fix to bug#24233.
---
 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/NEWS b/NEWS
index a63a7b2..e754514 100644
--- a/NEWS
+++ b/NEWS
@@ -7,6 +7,9 @@ GNU grep NEWS                                    -*- outline -*-
   Grep no longer omits output merely because it follows an output line
   suppressed due to encoding errors.  [bug introduced in grep-2.21]
 
+  Grep in Shift_JIS locale no longer mistakenly match in the middle of
+  a multibyte character. [bug present since "the beginning"]
+
 ** Improvements
 
   grep can be much faster now when standard output is /dev/null.
-- 
1.7.1